//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
//---------------------------------------------------------------------------
USEFORM("Main.cpp", MainF);
USEFORM("AboutForm.cpp", AboutF);
USEFORM("ColSet.cpp", ColorSet);
USEFORM("ImageForm.cpp", ImgForm);
USEFORM("LocateSet.cpp", Location);
USEFORM("MapForm.cpp", MapF);
USEFORM("NonStellSet.cpp", NonStellarSet);
USEFORM("ObjInfo.cpp", ObjectInfo);
USEFORM("PPaths.cpp", PPathForm);
USEFORM("StarSet.cpp", StarSettings);
USEFORM("TimeDateSet.cpp", TimeDate);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
        try
        {
                 Application->Initialize();
                 Application->Title = "Sky Atlas Planetarium";
                 Application->CreateForm(__classid(TMainF), &MainF);
                 Application->CreateForm(__classid(TAboutF), &AboutF);
                 Application->CreateForm(__classid(TColorSet), &ColorSet);
                 Application->CreateForm(__classid(TImgForm), &ImgForm);
                 Application->CreateForm(__classid(TLocation), &Location);
                 Application->CreateForm(__classid(TMapF), &MapF);
                 Application->CreateForm(__classid(TNonStellarSet), &NonStellarSet);
                 Application->CreateForm(__classid(TObjectInfo), &ObjectInfo);
                 Application->CreateForm(__classid(TPPathForm), &PPathForm);
                 Application->CreateForm(__classid(TStarSettings), &StarSettings);
                 Application->CreateForm(__classid(TTimeDate), &TimeDate);
                 Application->Run();
        }
        catch (Exception &exception)
        {
                 Application->ShowException(&exception);
        }
        catch (...)
        {
                 try
                 {
                         throw Exception("");
                 }
                 catch (Exception &exception)
                 {
                         Application->ShowException(&exception);
                 }
        }
        return 0;
}
//---------------------------------------------------------------------------
