//---------------------------------------------------------------------------
#ifndef TimeDateSetH
#define TimeDateSetH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include "cspin.h"
#include <Grids.hpp>
#include <Buttons.hpp>
#include <Mask.hpp>
//---------------------------------------------------------------------------
class TTimeDate : public TForm
{
__published:	// IDE-managed Components
    TLabel *Label1;
    TLabel *Label2;
    TBitBtn *CloseBut;
    TMaskEdit *DatePicker;
    TMaskEdit *TimePicker;
    TButton *ApplyBut;
    TEdit *TimeZone;
    TCheckBox *DaylightSavings;
    TButton *SetToSystemBtn;
    void __fastcall FormActivate(TObject *Sender);
    
    void __fastcall DatePickerChange(TObject *Sender);
    void __fastcall TimePickerChange(TObject *Sender);
    void __fastcall ApplyButClick(TObject *Sender);
    
    void __fastcall SetToSystemBtnClick(TObject *Sender);
    
private:	// User declarations
public:		// User declarations
    __fastcall TTimeDate(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TTimeDate *TimeDate;
//---------------------------------------------------------------------------
#endif
