//---------------------------------------------------------------------------
#ifndef LocateSetH
#define LocateSetH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TLocation : public TForm
{
__published:	// IDE-managed Components
    TPageControl *PageControl1;
    TTabSheet *TabSheet1;
    TTabSheet *TabSheet2;
    TEdit *SLoc;
    TListBox *MList;
    TBevel *Bevel1;
    TLabel *Label1;
    TEdit *LngM;
    TEdit *LngS;
    TLabel *Label6;
    TEdit *LatM;
    TEdit *LatS;
    TBevel *Bevel2;
    TLabel *Label5;
    TEdit *TZ;
    TCheckBox *DS;
    TButton *AddToFav;
    TButton *NewLoc;
    TButton *Save;
    TListBox *FList;
    TButton *RemFromFav;
    TLabel *Label2;
    TButton *Edit;
    TBitBtn *OKBut;
    TEdit *Elev;
    

    TLabel *CurLoc;
    TButton *LatC;
    TButton *LngC;
    TEdit *LngD;
    TEdit *LatD;
    TButton *UseAsCur1;
    TButton *DeleteBut;
    void __fastcall MListClick(TObject *Sender);
    void __fastcall FormActivate(TObject *Sender);
    void __fastcall AddToFavClick(TObject *Sender);

    void __fastcall RemFromFavClick(TObject *Sender);
    void __fastcall UseAsCur1Click(TObject *Sender);
    void __fastcall EditClick(TObject *Sender);
    
    void __fastcall NewLocClick(TObject *Sender);
    void __fastcall SaveClick(TObject *Sender);
    void __fastcall OKButClick(TObject *Sender);
    void __fastcall LngCClick(TObject *Sender);
    void __fastcall LatCClick(TObject *Sender);
    void __fastcall DeleteButClick(TObject *Sender);
    
    void __fastcall FListClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
    __fastcall TLocation(TComponent* Owner);
    void __fastcall DrawInfo(int n);
    void __fastcall AddItem(int n);
    void __fastcall SaveLocs(bool NewName,bool EditItem,int item,bool DeleteFlag);
};
//---------------------------------------------------------------------------
extern PACKAGE TLocation *Location;
//---------------------------------------------------------------------------
#endif
