//---------------------------------------------------------------------------

#ifndef PPathsH
#define PPathsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
#include <Dialogs.hpp>
//---------------------------------------------------------------------------
class TPPathForm : public TForm
{
__published:	// IDE-managed Components
        TLabel *Label1;
        TComboBox *PlanetName;
        TCheckBox *DrawPath;
        TEdit *StartTime;
        TLabel *Label2;
        TLabel *Label3;
        TEdit *EndTime;
        TLabel *Label4;
        TEdit *Increment;
        TCheckBox *DrawPoints;
        TCheckBox *DrawLines;
        TCheckBox *ShowDates;
        TBitBtn *OKBtn;
        TButton *ApplyBtn;
        TImage *PointColImg;
        TImage *LineColImg;
        TImage *LabelColImg;
        TColorDialog *ColorDialog;
        void __fastcall FormShow(TObject *Sender);
        void __fastcall OKBtnClick(TObject *Sender);
        void __fastcall PlanetNameSelect(TObject *Sender);
        void __fastcall ApplyBtnClick(TObject *Sender);
        void __fastcall PointColImgClick(TObject *Sender);
        void __fastcall LineColImgClick(TObject *Sender);
        void __fastcall LabelColImgClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TPPathForm(TComponent* Owner);
        void __fastcall LoadForm(TObject *Sender);
};
//---------------------------------------------------------------------------
extern PACKAGE TPPathForm *PPathForm;
//---------------------------------------------------------------------------
#endif
